Name:           kaccounts-providers
Version: 15.04.0
Release: 1%{?dist}
Summary:        Additional service providers for KAccounts framework
License:        GPLv2
URL:            https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
BuildArch:      noarch

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules

BuildRequires:  intltool
BuildRequires:  libaccounts-glib-devel

Requires:       signon-ui

%description
%{summary}.

%prep
%setup -q -n kaccounts-providers-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%files
%license COPYING
%{_datadir}/accounts/providers/*.provider
%config %{_sysconfdir}/signon-ui/webkit-options.d/*

%changelog
* Tue Apr 14 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.0-1
- 15.04.0

* Wed Apr 01 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 15.03.95-2
- fix broken dependency (typo in Requires)

* Tue Mar 31 2015 Daniel Vrátil <dvratil@redhat.com> - 15.03.95-1
- update to latest beta
- fix license

* Wed Mar 25 2015 Daniel Vrátil <dvratil@redhat.com> - 15.03.90-2
- use %%config
- use %%license instead of %%doc

* Tue Mar 17 2015 Daniel Vrátil <dvratil@redhat.com> - 15.03.90-1
- Initial version
